Subject: Re: bug#17152:

From: [email-masked] (Ludovic Courtès)
Date: Sun, 12 Jun 2016 15:31:59 +0200

Hi!

Kẏra <[email-masked]> skribis:

> I also filed against PackageKit here:
> https://bugs.freedesktop.org/show_bug.cgi?id=76810

FWIW, a Nix back-end has just been merged:

  https://github.com/hughsie/PackageKit/pull/126
  https://github.com/hughsie/PackageKit/pull/126/commits/108da8ed6784673758ea7a7a240eda0f8bdddc28

I think a Guix back-end may be simpler, notably because Guix has a
notion of package whereas all Nix sees is derivations, which are
low-level.

The Guix back-end, as I imagine, could essentially embed Guile into
PackageKit and have most of the code written in Scheme.  That way it
could trivially use all the support code we have in (guix profiles),
(guix packages), and (gnu packages).

Any takers?  :-)

Ludo’.